#ifndef __NEIGHBOR_H
#define __NEIGHBOR_H

#include <moep/types.h>
#include <moep/ieee80211_addr.h>

struct nb_update {
	u8 hwaddr[IEEE80211_ALEN];
	float quality;
} __attribute__((packed));

int nb_add(const u8 *hwaddr);
int nb_del(const u8 *hwaddr);
int nb_update_seq(const u8 *hwaddr, u16 seq);
int nb_update_ulq(const u8 *hwaddr, float quality);
size_t nb_get_update(struct nb_update **buffer);

#endif
